# commit
%global _commit 2234ff7c2b143046fd196f544ca4baccc7e2b2ec
%global _shortcommit %(c=%{_commit}; echo ${c:0:7})

Name:          apt
Version:       1.4.9
Release:       1%{?dist}
Summary:       Debian's commandline package manager

License:       GPLv2
Url:           https://tracker.debian.org/pkg/apt
#Source0:       https://anonscm.debian.org/cgit/apt/apt.git/snapshot/%%{name}-%%{_shortcommit}.tar.xz
Source0:       http://ftp.debian.org/debian/pool/main/a/apt/apt_%{version}.tar.xz


BuildRequires: gcc-c++
BuildRequires: cmake3 
#for el7
BuildRequires: cmake

BuildRequires: curl-devel
BuildRequires: xz-devel
BuildRequires: zlib-devel
BuildRequires: dpkg
BuildRequires: dpkg-dev
BuildRequires: po4a
BuildRequires: docbook-style-xsl
BuildRequires: libxslt
BuildRequires: doxygen
BuildRequires: graphviz
BuildRequires: w3m
BuildRequires: gettext-devel
BuildRequires: lz4-devel
#BuildRequires: dash
%if ! 0%{?el6}
BuildRequires: libdb-devel
%endif
BuildRequires: gtest-devel
BuildRequires: bzip2-devel
Requires: gnupg
Requires(pre): shadow-utils
#Provides: libapt-inst apt-utils
#Prevides: libapt-pkg libapt-pkg-dev

%description
This package provides commandline tools for searching and managing as well
as querying information about packages as a low-level access to all features
of the libapt-pkg library.

These include:
* apt-get for retrieval of packages and information about them
  from authenticated sources and for installation, upgrade and
  removal of packages together with their dependencies
* apt-cache for querying available information about installed
  as well as installable packages
* apt-cdrom to use removable media as a source for packages
* apt-config as an interface to the configuration settings
* apt-key as an interface to manage authentication keys

%package devel
Summary: Development headers for APT's libapt-pkg
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
This package contains development files for developing with APT's
libapt-pkg package manipulation library.

%prep
%setup -q -n %{name}-%{version}

%build
mkdir -p build
pushd build
%cmake3 CMAKE_VERBOSE=1 ..
%make_build VERBOSE=1
popd

%install
%make_install -C build
%find_lang apt
%find_lang apt-utils
%find_lang libapt-inst2.0
%find_lang libapt-pkg5.0

cat libapt*.lang >> apt.lang
cat apt-utils.lang >> apt.lang

install -d %{buildroot}%{_sysconfdir}/apt/{apt.conf,preferences,sources.list,trusted.gpg}.d
install -m644 doc/examples/apt.conf %{buildroot}%{_sysconfdir}/apt/
install -m644 build/vendor/sources.list %{buildroot}%{_sysconfdir}/apt/sources.list
install -d %{buildroot}%{_sysconfdir}/logrotate.d
cat > %{buildroot}%{_sysconfdir}/logrotate.d/apt <<EOF
/var/log/apt/term.log {
  rotate 12
  monthly
  compress
  missingok
  notifempty
}
/var/log/apt/history.log {
  rotate 12
  monthly
  compress
  missingok
  notifempty
}
EOF

%pre
getent group apt >/dev/null || groupadd -r apt
getent passwd apt >/dev/null || \
    useradd -r -g apt -d apt -s /sbin/nologin \
    -c "APT account for owning persistent & cache data" apt
exit 0

%ldconfig_scriptlets

%files -f apt.lang
%license COPYING COPYING.GPL
%doc README.md AUTHORS
%dir %{_sysconfdir}/apt/apt.conf.d
%dir %{_sysconfdir}/apt/preferences.d
%dir %{_sysconfdir}/apt/sources.list.d
%dir %{_sysconfdir}/apt/trusted.gpg.d
%config(noreplace) %{_sysconfdir}/apt/apt.conf
%config(noreplace) %{_sysconfdir}/apt/sources.list
%config(noreplace) %{_sysconfdir}/logrotate.d/apt
%{_bindir}/apt*
%{_libdir}/libapt-inst.so.*
%{_libdir}/libapt-pkg.so.*
%{_libdir}/libapt-private.so.*
%{_libexecdir}/apt/
%{_libexecdir}/dpkg/
%{_mandir}/*/man[158]/*.[158].gz
%{_mandir}/man[158]/*.[158].gz
#{_datadir}/locale/*/LC_MESSAGES/*.mo
%{_defaultdocdir}/apt/examples/
%dir %{_var}/cache/apt/archives/partial
%dir %{_sharedstatedir}/apt/lists/partial
%dir %{_sharedstatedir}/apt/mirrors/partial
%dir %{_sharedstatedir}/apt/periodic
%dir %{_var}/log/apt
%{_docdir}/libapt-pkg-doc
%{_docdir}/apt-doc
%{_docdir}/apt-utils
%{_datadir}/bash-completion/completions/apt

%files devel
%{_includedir}/apt-pkg
%{_libdir}/libapt-inst.so
%{_libdir}/libapt-pkg.so

%changelog
* Wed Oct 23 2019 Sérgio Basto <sergio@serjux.com> - 1.4.9-1
- Update to 1.4.9

* Sun Jun 30 2019 Sérgio Basto <sergio@serjux.com> - 1.4.8-2
- Clean up

* Fri Jan 26 2018 Sérgio Basto <sergio@serjux.com> - 1.4.8-1
- Update apt to 1.4.8

* Thu Dec  1 2016 mosquito <sensor.wen@gmail.com> - 1.2.17-1
- Update to 1.2.17

* Mon Jul 11 2016 mosquito <sensor.wen@gmail.com> - 1.2.14-1
- Update to 1.2.14

* Sat Feb 27 2016 mosquito <sensor.wen@gmail.com> - 1.2.4-1
- Update to 1.2.4

* Fri Feb 12 2016 mosquito <sensor.wen@gmail.com> - 1.2.3-1
- Update to 1.2.3

* Wed Sep 23 2015 mosquito <sensor.wen@gmail.com> - 1.0.10.2-1
- Update to 1.0.10.2

* Thu Jul 30 2015 mosquito <sensor.wen@gmail.com> - 1.0.10.1-1
- Update to 1.0.10.1

* Thu Jul 30 2015 mosquito <sensor.wen@gmail.com> - 1.0.9.10-1
- Initial build
